Subject: Re: [bug#39258] KMP string search algorithm?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 Jun 2020 10:49:10 +0200

Arun Isaac <[email-masked]> skribis:

>> I also recommend taking a look at the Boyer Moore string search
>> implementation in (guix build grafts).
>
> Nice, I didn't know Guix had an implementation of Boyer Moore. I'll take
> a look at it. At the very least, I need something similar for
> guile-email.
>
> But, the current implementation of guile's string-contains is in C. So,
> I assume a KMP or Boyer Moore implementation of string-contains should
> also be in C.

Not necessarily.  But it’d be great to have it in Guile proper, for sure!

Ludo’.